/* Copyright Statement:
 *
 * This software/firmware and related documentation ("MediaTek Software") are
 * protected under relevant copyright laws. The information contained herein
 * is confidential and proprietary to MediaTek Inc. and/or its licensors.
 * Without the prior written permission of MediaTek inc. and/or its licensors,
 * any reproduction, modification, use or disclosure of MediaTek Software,
 * and information contained herein, in whole or in part, shall be strictly prohibited.
 */
/* MediaTek Inc. (C) 2018. All rights reserved.
 *
 * BY OPENING THIS FILE, RECEIVER HEREBY UNEQUIVOCALLY ACKNOWLEDGES AND AGREES
 * THAT THE SOFTWARE/FIRMWARE AND ITS DOCUMENTATIONS ("MEDIATEK SOFTWARE")
 * RECEIVED FROM MEDIATEK AND/OR ITS REPRESENTATIVES ARE PROVIDED TO RECEIVER ON
 * AN "AS-IS" BASIS ONLY. MEDIATEK EXPRESSLY DISCLAIMS ANY AND ALL WARRANTIES,
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE OR NONINFRINGEMENT.
 * NEITHER DOES MEDIATEK PROVIDE ANY WARRANTY WHATSOEVER WITH RESPECT TO THE
 * SOFTWARE OF ANY THIRD PARTY WHICH MAY BE USED BY, INCORPORATED IN, OR
 * SUPPLIED WITH THE MEDIATEK SOFTWARE, AND RECEIVER AGREES TO LOOK ONLY TO SUCH
 * THIRD PARTY FOR ANY WARRANTY CLAIM RELATING THERETO. RECEIVER EXPRESSLY ACKNOWLEDGES
 * THAT IT IS RECEIVER'S SOLE RESPONSIBILITY TO OBTAIN FROM ANY THIRD PARTY ALL PROPER LICENSES
 * CONTAINED IN MEDIATEK SOFTWARE. MEDIATEK SHALL ALSO NOT BE RESPONSIBLE FOR ANY MEDIATEK
 * SOFTWARE RELEASES MADE TO RECEIVER'S SPECIFICATION OR TO CONFORM TO A PARTICULAR
 * STANDARD OR OPEN FORUM. RECEIVER'S SOLE AND EXCLUSIVE REMEDY AND MEDIATEK'S ENTIRE AND
 * CUMULATIVE LIABILITY WITH RESPECT TO THE MEDIATEK SOFTWARE RELEASED HEREUNDER WILL BE,
 * AT MEDIATEK'S OPTION, TO REVISE OR REPLACE THE MEDIATEK SOFTWARE AT ISSUE,
 * OR REFUND ANY SOFTWARE LICENSE FEES OR SERVICE CHARGE PAID BY RECEIVER TO
 * MEDIATEK FOR SUCH MEDIATEK SOFTWARE AT ISSUE.
 *
 * The following software/firmware and/or related documentation ("MediaTek Software")
 * have been modified by MediaTek Inc. All revisions are subject to any receiver's
 * applicable license agreements with MediaTek Inc.
 */

/********************************************************************************************
*     LEGAL DISCLAIMER
*
*     (Header of MediaTek Software/Firmware Release or Documentation)
*
*     BY OPENING OR USING THIS FILE, BUYER HEREBY UNEQUIVOCALLY ACKNOWLEDGES AND AGREES
*     THAT THE SOFTWARE/FIRMWARE AND ITS DOCUMENTATIONS ("MEDIATEK SOFTWARE") RECEIVED
*     FROM MEDIATEK AND/OR ITS REPRESENTATIVES ARE PROVIDED TO BUYER ON AN "AS-IS" BASIS
*     ONLY. MEDIATEK EXPRESSLY DISCLAIMS ANY AND ALL WARRANTIES, EXPRESS OR IMPLIED,
*     INCLUDING BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR
*     A PARTICULAR PURPOSE OR NONINFRINGEMENT. NEITHER DOES MEDIATEK PROVIDE ANY WARRANTY
*     WHATSOEVER WITH RESPECT TO THE SOFTWARE OF ANY THIRD PARTY WHICH MAY BE USED BY,
*     INCORPORATED IN, OR SUPPLIED WITH THE MEDIATEK SOFTWARE, AND BUYER AGREES TO LOOK
*     ONLY TO SUCH THIRD PARTY FOR ANY WARRANTY CLAIM RELATING THERETO. MEDIATEK SHALL ALSO
*     NOT BE RESPONSIBLE FOR ANY MEDIATEK SOFTWARE RELEASES MADE TO BUYER'S SPECIFICATION
*     OR TO CONFORM TO A PARTICULAR STANDARD OR OPEN FORUM.
*
*     BUYER'S SOLE AND EXCLUSIVE REMEDY AND MEDIATEK'S ENTIRE AND CUMULATIVE LIABILITY WITH
*     RESPECT TO THE MEDIATEK SOFTWARE RELEASED HEREUNDER WILL BE, AT MEDIATEK'S OPTION,
*     TO REVISE OR REPLACE THE MEDIATEK SOFTWARE AT ISSUE, OR REFUND ANY SOFTWARE LICENSE
*     FEES OR SERVICE CHARGE PAID BY BUYER TO MEDIATEK FOR SUCH MEDIATEK SOFTWARE AT ISSUE.
*
*     THE TRANSACTION CONTEMPLATED HEREUNDER SHALL BE CONSTRUED IN ACCORDANCE WITH THE LAWS
*     OF THE STATE OF CALIFORNIA, USA, EXCLUDING ITS CONFLICT OF LAWS PRINCIPLES.
************************************************************************************************/
#ifndef CAMERA_CUSTOM_STEREO_TUNING_H_
#define CAMERA_CUSTOM_STEREO_TUNING_H_
const char *DEFAULT_STEREO_TUNING =
"{"
    "\"HW_FE\":[{"
            "\"Parameters\": {"
                "\"BlockSize\": 8"
            "},"
            "\"Values\": {"
                "\"mFEMODE\": 2,"
                "\"mFEPARAM\": 4,"
                "\"mFEFLT_EN\": 1,"
                "\"mFETH_G\": 1,"
                "\"mFETH_C\": 0,"
                "\"mFEDSCR_SBIT\": 3,"
                "\"mFEXIDX\": 0,"
                "\"mFEYIDX\": 0,"
                "\"mFESTART_X\": 0,"
                "\"mFESTART_Y\": 0,"
                "\"mFEIN_HT\": 0,"
                "\"mFEIN_WD\": 0"
            "}"
        "}, {"
            "\"Parameters\": {"
                "\"BlockSize\": 16"
            "},"
            "\"Values\": {"
                "\"mFEMODE\": 1,"
                "\"mFEPARAM\": 4,"
                "\"mFEFLT_EN\": 1,"
                "\"mFETH_G\": 1,"
                "\"mFETH_C\": 0,"
                "\"mFEDSCR_SBIT\": 3,"
                "\"mFEXIDX\": 0,"
                "\"mFEYIDX\": 0,"
                "\"mFESTART_X\": 0,"
                "\"mFESTART_Y\": 0,"
                "\"mFEIN_HT\": 0,"
                "\"mFEIN_WD\": 0"
            "}"
        "}],"
    "\"HW_FM\": [{"
            "\"Parameters\": {"
                "\"Direction\": \"Right to Left\""
            "},"
            "\"Values\": {"
                "\"mFMOFFSET_X\": 20,"
                "\"mFMOFFSET_Y\": 16,"
                "\"mFMSR_TYPE\": 0,"
                "\"mFMMIN_RATIO\": 90,"
                "\"mFMSAD_TH\": 1023,"
                "\"mFMRES_TH\": 0"
            "}"
        "}, {"
            "\"Parameters\": {"
                "\"Direction\": \"Left to Right\""
            "},"
            "\"Values\": {"
                "\"mFMOFFSET_X\": 12,"
                "\"mFMOFFSET_Y\": 16,"
                "\"mFMSR_TYPE\": 0,"
                "\"mFMMIN_RATIO\": 90,"
                "\"mFMSAD_TH\": 1023,"
                "\"mFMRES_TH\": 0"
            "}"
        "}],"
    "\"HW_DPE\": [{"
            "\"Parameters\": {"
                "\"Scenario\": \"Preview\""
            "},"
            "\"Values\": {"
                "\"Dve_l_Bbox_En\": 1,"
                "\"Dve_r_Bbox_En\": 1,"
                "\"Dve_Mask_En\": 1,"
                "\"Dve_Org_Horz_Sr_0\": 255,"
                "\"Dve_Org_Horz_Sr_1\": 0,"
                "\"Dve_Cand_Num\": 7,"
                "\"Dve_Cand_0.DVE_CAND_SEL\": 11,"
                "\"Dve_Cand_0.DVE_CAND_TYPE\": 1,"
                "\"Dve_Cand_1.DVE_CAND_SEL\": 18,"
                "\"Dve_Cand_1.DVE_CAND_TYPE\": 2,"
                "\"Dve_Cand_2.DVE_CAND_SEL\": 7,"
                "\"Dve_Cand_2.DVE_CAND_TYPE\": 1,"
                "\"Dve_Cand_3.DVE_CAND_SEL\": 31,"
                "\"Dve_Cand_3.DVE_CAND_TYPE\": 6,"
                "\"Dve_Cand_4.DVE_CAND_SEL\": 25,"
                "\"Dve_Cand_4.DVE_CAND_TYPE\": 3,"
                "\"Dve_Cand_5.DVE_CAND_SEL\": 26,"
                "\"Dve_Cand_5.DVE_CAND_TYPE\": 3,"
                "\"Dve_Cand_6.DVE_CAND_SEL\": 28,"
                "\"Dve_Cand_6.DVE_CAND_TYPE\": 4,"
                "\"Dve_Cand_7.DVE_CAND_SEL\": 28,"
                "\"Dve_Cand_7.DVE_CAND_TYPE\": 4,"
                "\"DVE_VERT_GMV\": 0,"
                "\"DVE_HORZ_GMV\": 0,"
                "\"Dve_Type_Penality_Ctrl.DVE_RAND_COST\": 24,"
                "\"Dve_Type_Penality_Ctrl.DVE_GMV_COST\": 3,"
                "\"Dve_Type_Penality_Ctrl.DVE_PREV_COST\": 3,"
                "\"Dve_Type_Penality_Ctrl.DVE_NBR_COST\": 5,"
                "\"Dve_Type_Penality_Ctrl.DVE_REFINE_COST\": 3,"
                "\"Dve_Type_Penality_Ctrl.DVE_TMPR_COST\": 5,"
                "\"Dve_Type_Penality_Ctrl.DVE_SPTL_COST\": 1,"
                "\"Dve_Skp_Pre_Dv\": 0,"
                "\"Dve_Org_Vert_Sr_0\": 24,"
                "\"Dve_Org_Start_Vert_Sv\": 0,"
                "\"Dve_Org_Start_Horz_Sv\": 0,"
                "\"Dve_Rand_Lut_0\": 11,"
                "\"Dve_Rand_Lut_1\": 23,"
                "\"Dve_Rand_Lut_2\": 31,"
                "\"Dve_Rand_Lut_3\": 43,"
                "\"Dve_Horz_Dv_Ini\": 0,"
                "\"Dve_Coft_Shift\": 2,"
                "\"Dve_Corner_Th\": 16,"
                "\"Dve_Smth_Luma_Th_1\": 0,"
                "\"Dve_Smth_Luma_Th_0\": 12,"
                "\"Dve_Smth_Luma_Ada_Base\": 0,"
                "\"Dve_Smth_Luma_Horz_Pnlty_Sel\": 0,"
                "\"Dve_Smth_Dv_Mode\": 0,"
                "\"Dve_Smth_Dv_Th_1\": 0,"
                "\"Dve_Smth_Dv_Th_0\": 12,"
                "\"Dve_Smth_Dv_Ada_Base\": 5,"
                "\"Dve_Smth_Dv_Vert_Pnlty_Sel\": 1,"
                "\"Dve_Smth_Dv_Horz_Pnlty_Sel\": 2,"
                "\"Dve_Ord_Pnlty_Sel\": 1,"
                "\"Dve_Ord_Coring\": 4,"
                "\"Dve_Ord_Th\": 256,"
                "\"Dve_Vert_Sv\": 4,"
                "\"Dve_Horz_Sv\": 1,"
                "\"Dve_Type_Penality_Ctrl.DVE_REFINE_PNLTY_SEL\": 2,"
                "\"Dve_Type_Penality_Ctrl.DVE_GMV_PNLTY_SEL\": 0,"
                "\"Dve_Type_Penality_Ctrl.DVE_PREV_PNLTY_SEL\": 2,"
                "\"Dve_Type_Penality_Ctrl.DVE_NBR_PNLTY_SEL\": 2,"
                "\"Dve_Type_Penality_Ctrl.DVE_RAND_PNLTY_SEL\": 2,"
                "\"Dve_Type_Penality_Ctrl.DVE_TMPR_PNLTY_SEL\": 2,"
                "\"Dve_Type_Penality_Ctrl.DVE_SPTL_PNLTY_SEL\": 2,"
                "\"Dve_Ord_As_TH\": 0,"
                "\"Dve_Ord_As_Mask.DVE_ORD_AS_MASK_0\": 1842204,"
                "\"Dve_Ord_As_Mask.DVE_ORD_AS_MASK_1\": 1842204,"
                "\"Dve_Ord_As_Mask.DVE_ORD_AS_MASK_2\": 1842204,"
                "\"Dve_Ord_As_Mask.DVE_ORD_AS_MASK_3\": 1842204,"
                "\"Dve_Ord_Ref_Mask_A.DVE_ORD_REF_MASK_A_0\": 0,"
                "\"Dve_Ord_Ref_Mask_A.DVE_ORD_REF_MASK_A_1\": 8257662,"
                "\"Dve_Ord_Ref_Mask_A.DVE_ORD_REF_MASK_A_2\": 8257662,"
                "\"Dve_Ord_Ref_Mask_A.DVE_ORD_REF_MASK_A_3\": 0,"
                "\"Dve_Ord_Ref_Mask_A.DVE_ORD_REF_MASK_A_4\": 0,"
                "\"Dve_Ord_Ref_Mask_A.DVE_ORD_REF_MASK_A_5\": 0,"
                "\"Dve_Ord_Ref_Mask_A.DVE_ORD_REF_MASK_A_6\": 0,"
                "\"Dve_Ord_Ref_Mask_B.DVE_ORD_REF_MASK_B_0\": 0,"
                "\"Dve_Ord_Ref_Mask_B.DVE_ORD_REF_MASK_B_1\": 8257662,"
                "\"Dve_Ord_Ref_Mask_B.DVE_ORD_REF_MASK_B_2\": 8257662,"
                "\"Dve_Ord_Ref_Mask_B.DVE_ORD_REF_MASK_B_3\": 0,"
                "\"Dve_Ord_Ref_Mask_B.DVE_ORD_REF_MASK_B_4\": 0,"
                "\"Dve_Ord_Ref_Mask_B.DVE_ORD_REF_MASK_B_5\": 0,"
                "\"Dve_Ord_Ref_Mask_B.DVE_ORD_REF_MASK_B_6\": 0,"
                "\"Dve_Ord_Ref_Mask_C.DVE_ORD_REF_MASK_C_0\": 0,"
                "\"Dve_Ord_Ref_Mask_C.DVE_ORD_REF_MASK_C_1\": 8257662,"
                "\"Dve_Ord_Ref_Mask_C.DVE_ORD_REF_MASK_C_2\": 8257662,"
                "\"Dve_Ord_Ref_Mask_C.DVE_ORD_REF_MASK_C_3\": 0,"
                "\"Dve_Ord_Ref_Mask_C.DVE_ORD_REF_MASK_C_4\": 0,"
                "\"Dve_Ord_Ref_Mask_C.DVE_ORD_REF_MASK_C_5\": 0,"
                "\"Dve_Ord_Ref_Mask_C.DVE_ORD_REF_MASK_C_6\": 0,"
                "\"Dve_Ord_Ref_Mask_D.DVE_ORD_REF_MASK_D_0\": 0,"
                "\"Dve_Ord_Ref_Mask_D.DVE_ORD_REF_MASK_D_1\": 8257662,"
                "\"Dve_Ord_Ref_Mask_D.DVE_ORD_REF_MASK_D_2\": 8257662,"
                "\"Dve_Ord_Ref_Mask_D.DVE_ORD_REF_MASK_D_3\": 0,"
                "\"Dve_Ord_Ref_Mask_D.DVE_ORD_REF_MASK_D_4\": 0,"
                "\"Dve_Ord_Ref_Mask_D.DVE_ORD_REF_MASK_D_5\": 0,"
                "\"Dve_Ord_Ref_Mask_D.DVE_ORD_REF_MASK_D_6\": 0"
            "}"
        "}, {"
            "\"Parameters\": {"
                "\"Scenario\": \"Capture\""
            "},"
            "\"Values\": {"
                "\"Dve_l_Bbox_En\": 1,"
                "\"Dve_r_Bbox_En\": 1,"
                "\"Dve_Mask_En\": 1,"
                "\"Dve_Org_Horz_Sr_0\": 255,"
                "\"Dve_Org_Horz_Sr_1\": 0,"
                "\"Dve_Cand_Num\": 8,"
                "\"Dve_Cand_0.DVE_CAND_SEL\": 11,"
                "\"Dve_Cand_0.DVE_CAND_TYPE\": 1,"
                "\"Dve_Cand_1.DVE_CAND_SEL\": 7,"
                "\"Dve_Cand_1.DVE_CAND_TYPE\": 1,"
                "\"Dve_Cand_2.DVE_CAND_SEL\": 28,"
                "\"Dve_Cand_2.DVE_CAND_TYPE\": 4,"
                "\"Dve_Cand_3.DVE_CAND_SEL\": 31,"
                "\"Dve_Cand_3.DVE_CAND_TYPE\": 6,"
                "\"Dve_Cand_4.DVE_CAND_SEL\": 25,"
                "\"Dve_Cand_4.DVE_CAND_TYPE\": 3,"
                "\"Dve_Cand_5.DVE_CAND_SEL\": 26,"
                "\"Dve_Cand_5.DVE_CAND_TYPE\": 3,"
                "\"Dve_Cand_6.DVE_CAND_SEL\": 17,"
                "\"Dve_Cand_6.DVE_CAND_TYPE\": 2,"
                "\"Dve_Cand_7.DVE_CAND_SEL\": 13,"
                "\"Dve_Cand_7.DVE_CAND_TYPE\": 2,"
                "\"DVE_VERT_GMV\": 0,"
                "\"DVE_HORZ_GMV\": 0,"
                "\"Dve_Type_Penality_Ctrl.DVE_RAND_COST\": 16,"
                "\"Dve_Type_Penality_Ctrl.DVE_GMV_COST\": 3,"
                "\"Dve_Type_Penality_Ctrl.DVE_PREV_COST\": 5,"
                "\"Dve_Type_Penality_Ctrl.DVE_NBR_COST\": 3,"
                "\"Dve_Type_Penality_Ctrl.DVE_REFINE_COST\": 2,"
                "\"Dve_Type_Penality_Ctrl.DVE_TMPR_COST\": 3,"
                "\"Dve_Type_Penality_Ctrl.DVE_SPTL_COST\": 1,"
                "\"Dve_Skp_Pre_Dv\": 0,"
                "\"Dve_Org_Vert_Sr_0\": 24,"
                "\"Dve_Org_Start_Vert_Sv\": 0,"
                "\"Dve_Org_Start_Horz_Sv\": 0,"
                "\"Dve_Rand_Lut_0\": 7,"
                "\"Dve_Rand_Lut_1\": 13,"
                "\"Dve_Rand_Lut_2\": 23,"
                "\"Dve_Rand_Lut_3\": 29,"
                "\"Dve_Horz_Dv_Ini\": 0,"
                "\"Dve_Coft_Shift\": 2,"
                "\"Dve_Corner_Th\": 16,"
                "\"Dve_Smth_Luma_Th_1\": 0,"
                "\"Dve_Smth_Luma_Th_0\": 12,"
                "\"Dve_Smth_Luma_Ada_Base\": 0,"
                "\"Dve_Smth_Luma_Horz_Pnlty_Sel\": 0,"
                "\"Dve_Smth_Dv_Mode\": 0,"
                "\"Dve_Smth_Dv_Th_1\": 0,"
                "\"Dve_Smth_Dv_Th_0\": 12,"
                "\"Dve_Smth_Dv_Ada_Base\": 4,"
                "\"Dve_Smth_Dv_Vert_Pnlty_Sel\": 4,"
                "\"Dve_Smth_Dv_Horz_Pnlty_Sel\": 0,"
                "\"Dve_Ord_Pnlty_Sel\": 1,"
                "\"Dve_Ord_Coring\": 4,"
                "\"Dve_Ord_Th\": 128,"
                "\"Dve_Vert_Sv\": 0,"
                "\"Dve_Horz_Sv\": 0,"
                "\"Dve_Type_Penality_Ctrl.DVE_REFINE_PNLTY_SEL\": 2,"
                "\"Dve_Type_Penality_Ctrl.DVE_GMV_PNLTY_SEL\": 0,"
                "\"Dve_Type_Penality_Ctrl.DVE_PREV_PNLTY_SEL\": 2,"
                "\"Dve_Type_Penality_Ctrl.DVE_NBR_PNLTY_SEL\": 2,"
                "\"Dve_Type_Penality_Ctrl.DVE_RAND_PNLTY_SEL\": 2,"
                "\"Dve_Type_Penality_Ctrl.DVE_TMPR_PNLTY_SEL\": 2,"
                "\"Dve_Type_Penality_Ctrl.DVE_SPTL_PNLTY_SEL\": 2,"
                "\"Dve_Ord_As_TH\": 0,"
                "\"Dve_Ord_As_Mask.DVE_ORD_AS_MASK_0\": 1842204,"
                "\"Dve_Ord_As_Mask.DVE_ORD_AS_MASK_1\": 1842204,"
                "\"Dve_Ord_As_Mask.DVE_ORD_AS_MASK_2\": 1842204,"
                "\"Dve_Ord_As_Mask.DVE_ORD_AS_MASK_3\": 1842204,"
                "\"Dve_Ord_Ref_Mask_A.DVE_ORD_REF_MASK_A_0\": 0,"
                "\"Dve_Ord_Ref_Mask_A.DVE_ORD_REF_MASK_A_1\": 8257662,"
                "\"Dve_Ord_Ref_Mask_A.DVE_ORD_REF_MASK_A_2\": 8257662,"
                "\"Dve_Ord_Ref_Mask_A.DVE_ORD_REF_MASK_A_3\": 0,"
                "\"Dve_Ord_Ref_Mask_A.DVE_ORD_REF_MASK_A_4\": 0,"
                "\"Dve_Ord_Ref_Mask_A.DVE_ORD_REF_MASK_A_5\": 0,"
                "\"Dve_Ord_Ref_Mask_A.DVE_ORD_REF_MASK_A_6\": 0,"
                "\"Dve_Ord_Ref_Mask_B.DVE_ORD_REF_MASK_B_0\": 0,"
                "\"Dve_Ord_Ref_Mask_B.DVE_ORD_REF_MASK_B_1\": 8257662,"
                "\"Dve_Ord_Ref_Mask_B.DVE_ORD_REF_MASK_B_2\": 8257662,"
                "\"Dve_Ord_Ref_Mask_B.DVE_ORD_REF_MASK_B_3\": 0,"
                "\"Dve_Ord_Ref_Mask_B.DVE_ORD_REF_MASK_B_4\": 0,"
                "\"Dve_Ord_Ref_Mask_B.DVE_ORD_REF_MASK_B_5\": 0,"
                "\"Dve_Ord_Ref_Mask_B.DVE_ORD_REF_MASK_B_6\": 0,"
                "\"Dve_Ord_Ref_Mask_C.DVE_ORD_REF_MASK_C_0\": 0,"
                "\"Dve_Ord_Ref_Mask_C.DVE_ORD_REF_MASK_C_1\": 8257662,"
                "\"Dve_Ord_Ref_Mask_C.DVE_ORD_REF_MASK_C_2\": 8257662,"
                "\"Dve_Ord_Ref_Mask_C.DVE_ORD_REF_MASK_C_3\": 0,"
                "\"Dve_Ord_Ref_Mask_C.DVE_ORD_REF_MASK_C_4\": 0,"
                "\"Dve_Ord_Ref_Mask_C.DVE_ORD_REF_MASK_C_5\": 0,"
                "\"Dve_Ord_Ref_Mask_C.DVE_ORD_REF_MASK_C_6\": 0,"
                "\"Dve_Ord_Ref_Mask_D.DVE_ORD_REF_MASK_D_0\": 0,"
                "\"Dve_Ord_Ref_Mask_D.DVE_ORD_REF_MASK_D_1\": 8257662,"
                "\"Dve_Ord_Ref_Mask_D.DVE_ORD_REF_MASK_D_2\": 8257662,"
                "\"Dve_Ord_Ref_Mask_D.DVE_ORD_REF_MASK_D_3\": 0,"
                "\"Dve_Ord_Ref_Mask_D.DVE_ORD_REF_MASK_D_4\": 0,"
                "\"Dve_Ord_Ref_Mask_D.DVE_ORD_REF_MASK_D_5\": 0,"
                "\"Dve_Ord_Ref_Mask_D.DVE_ORD_REF_MASK_D_6\": 0"
            "}"
        "}],"
    "\"HW_WMF\": [{"
            "\"Parameters\": {"
                "\"Round\": \"WMF\""
            "},"
            "\"Values\": {"
                "\"Wmfe_Enable\": 0,"
                "\"WmfeFilterSize\": 3,"
                "\"Wmfe_Dpnd_En\": 0,"
                "\"Wmfe_Mask_En\": 0,"
                "\"Wmfe_Mask_Value\": 255,"
                "\"Wmfe_Mask_Mode\": 0,"
                "\"Wmfe_Chroma_En\": 1,"
                "\"Table\": [1000, 920, 846, 778, 716, 659, 606, 558, 513, 472, 434, 399, 367, 338, 311, 286, 263, 242, 223, 205, 188, 173, 159, 147, 135, 124, 114, 105, 96, 89, 82, 75, 69, 63, 58, 54, 49, 45, 42, 38, 35, 32, 30, 27, 25, 23, 21, 19, 18, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 7, 6, 6, 5, 5, 4, 4, 4, 3, 3, 3, 2, 2, 2, 2, 2, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1]"
            "}"
        "}, {"
            "\"Parameters\": {"
                "\"Round\": \"Hole Filling 1\""
            "},"
            "\"Values\": {"
                "\"WmfeFilterSize\": 3,"
                "\"Wmfe_Dpnd_En\": 1,"
                "\"Wmfe_Mask_En\": 1,"
                "\"Wmfe_Mask_Value\": 255,"
                "\"Wmfe_Mask_Mode\": 1,"
                "\"Wmfe_Chroma_En\": 1,"
                "\"Table\": [1000, 920, 846, 778, 716, 659, 606, 558, 513, 472, 434, 399, 367, 338, 311, 286, 263, 242, 223, 205, 188, 173, 159, 147, 135, 124, 114, 105, 96, 89, 82, 75, 69, 63, 58, 54, 49, 45, 42, 38, 35, 32, 30, 27, 25, 23, 21, 19, 18, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 7, 6, 6, 5, 5, 4, 4, 4, 3, 3, 3, 2, 2, 2, 2, 2, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1]"
            "}"
        "}, {"
            "\"Parameters\": {"
                "\"Round\": \"Hole Filling 2\""
            "},"
            "\"Values\": {"
                "\"WmfeFilterSize\": 3,"
                "\"Wmfe_Dpnd_En\": 1,"
                "\"Wmfe_Mask_En\": 1,"
                "\"Wmfe_Mask_Value\": 255,"
                "\"Wmfe_Mask_Mode\": 1,"
                "\"Wmfe_Chroma_En\": 1,"
                "\"Table\": [1000, 920, 846, 778, 716, 659, 606, 558, 513, 472, 434, 399, 367, 338, 311, 286, 263, 242, 223, 205, 188, 173, 159, 147, 135, 124, 114, 105, 96, 89, 82, 75, 69, 63, 58, 54, 49, 45, 42, 38, 35, 32, 30, 27, 25, 23, 21, 19, 18, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 7, 6, 6, 5, 5, 4, 4, 4, 3, 3, 3, 2, 2, 2, 2, 2, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1]"
            "}"
        "}],"
    "\"HW_BOKEH\": [{"
            "\"Parameters\": {"
                "\"Strength\": \"Normal\""
            "},"
            "\"Values\": {"
                "\"DIP_X_CTL_YUV_EN.Bits.NBC2_EN\": 1,"
                "\"DIP_X_ANR2_CON1.Bits.ANR2_MODE\": 1,"
                "\"DIP_X_ANR2_CON1.Bits.ANR2_ENC\": 1,"
                "\"DIP_X_ANR2_CON1.Bits.ANR2_LCE_LINK\": 0,"
                "\"DIP_X_BOK_CON.Bits.BOK_MODE\": 0,"
                "\"DIP_X_BOK_CON.Bits.BOK_AP_MODE\": 0,"
                "\"DIP_X_BOK_CON.Bits.BOK_FGBG_MODE\": 0,"
                "\"DIP_X_BOK_CON.Bits.BOK_FGBG_WT\": 4,"
                "\"DIP_X_BOK_CON.Bits.BOK_PF_EN\": 1,"
                "\"DIP_X_BOK_TUN.Bits.BOK_STR_WT\": 63,"
                "\"DIP_X_BOK_TUN.Bits.BOK_WT_GAIN\": 63,"
                "\"DIP_X_BOK_TUN.Bits.BOK_INTENSITY\": 255,"
                "\"DIP_X_BOK_TUN.Bits.BOK_DOF_M\": 1,"
                "\"DIP_X_BOK_OFF.Bits.BOK_XOFF\": 0,"
                "\"DIP_X_BOK_OFF.Bits.BOK_YOFF\": 0,"
                "\"DIP_X_BOK_RSV1.Bits.BOK_RSV1\": 0"
            "}"
        "}, {"
            "\"Parameters\": {"
                "\"Strength\": \"Strong\""
            "},"
            "\"Values\": {"
                "\"DIP_X_CTL_YUV_EN.Bits.NBC2_EN\": 1,"
                "\"DIP_X_ANR2_CON1.Bits.ANR2_MODE\": 1,"
                "\"DIP_X_ANR2_CON1.Bits.ANR2_ENC\": 1,"
                "\"DIP_X_ANR2_CON1.Bits.ANR2_LCE_LINK\": 0,"
                "\"DIP_X_BOK_CON.Bits.BOK_MODE\": 0,"
                "\"DIP_X_BOK_CON.Bits.BOK_AP_MODE\": 0,"
                "\"DIP_X_BOK_CON.Bits.BOK_FGBG_MODE\": 0,"
                "\"DIP_X_BOK_CON.Bits.BOK_FGBG_WT\": 4,"
                "\"DIP_X_BOK_CON.Bits.BOK_PF_EN\": 1,"
                "\"DIP_X_BOK_TUN.Bits.BOK_STR_WT\": 12,"
                "\"DIP_X_BOK_TUN.Bits.BOK_WT_GAIN\": 8,"
                "\"DIP_X_BOK_TUN.Bits.BOK_INTENSITY\": 240,"
                "\"DIP_X_BOK_TUN.Bits.BOK_DOF_M\": 1,"
                "\"DIP_X_BOK_OFF.Bits.BOK_XOFF\": 0,"
                "\"DIP_X_BOK_OFF.Bits.BOK_YOFF\": 0,"
                "\"DIP_X_BOK_RSV1.Bits.BOK_RSV1\": 0"
            "}"
        "}],"
    "\"HW_MDP_PQ\": [{"
            "\"Parameters\": {"
                "\"MDP_PQ_Name\": \"PASS2A\""
            "},"
            "\"Values\": {"
                "\"isRefocus\": 1,"
                "\"defaultUpTable\": 9,"
                "\"defaultDownTable\": 17,"
                "\"IBSEGain\": 0,"
                "\"switchRatio6Tap6nTap\": 1,"
                "\"switchRatio6nTapAcc\": 1"
            "}"
        "}, {"
            "\"Parameters\": {"
                "\"MDP_PQ_Name\": \"PASS2A_2\""
            "},"
            "\"Values\": {"
                "\"isRefocus\": 1,"
                "\"defaultUpTable\": 9,"
                "\"defaultDownTable\": 17,"
                "\"IBSEGain\": 0,"
                "\"switchRatio6Tap6nTap\": 1,"
                "\"switchRatio6nTapAcc\": 1"
            "}"
        "}, {"
            "\"Parameters\": {"
                "\"MDP_PQ_Name\": \"PASS2A_3\""
            "},"
            "\"Values\": {"
                "\"isRefocus\": 1,"
                "\"defaultUpTable\": 9,"
                "\"defaultDownTable\": 17,"
                "\"IBSEGain\": 0,"
                "\"switchRatio6Tap6nTap\": 1,"
                "\"switchRatio6nTapAcc\": 1"
            "}"
        "}, {"
            "\"Parameters\": {"
                "\"MDP_PQ_Name\": \"PASS2A_B\""
            "},"
            "\"Values\": {"
                "\"isRefocus\": 1,"
                "\"defaultUpTable\": 9,"
                "\"defaultDownTable\": 17,"
                "\"IBSEGain\": 0,"
                "\"switchRatio6Tap6nTap\": 1,"
                "\"switchRatio6nTapAcc\": 1"
            "}"
        "}, {"
            "\"Parameters\": {"
                "\"MDP_PQ_Name\": \"PASS2A_P\""
            "},"
            "\"Values\": {"
                "\"isRefocus\": 1,"
                "\"defaultUpTable\": 9,"
                "\"defaultDownTable\": 17,"
                "\"IBSEGain\": 0,"
                "\"switchRatio6Tap6nTap\": 1,"
                "\"switchRatio6nTapAcc\": 1"
            "}"
        "}, {"
            "\"Parameters\": {"
                "\"MDP_PQ_Name\": \"PASS2A_P_2\""
            "},"
            "\"Values\": {"
                "\"isRefocus\": 1,"
                "\"defaultUpTable\": 9,"
                "\"defaultDownTable\": 17,"
                "\"IBSEGain\": 0,"
                "\"switchRatio6Tap6nTap\": 1,"
                "\"switchRatio6nTapAcc\": 1"
            "}"
        "}, {"
            "\"Parameters\": {"
                "\"MDP_PQ_Name\": \"PASS2A_P_3\""
            "},"
            "\"Values\": {"
                "\"isRefocus\": 1,"
                "\"defaultUpTable\": 9,"
                "\"defaultDownTable\": 17,"
                "\"IBSEGain\": 0,"
                "\"switchRatio6Tap6nTap\": 1,"
                "\"switchRatio6nTapAcc\": 1"
            "}"
        "}],"
    "\"SW_GF\": [{"
            "\"Parameters\": {"
                "\"Scenario\": \"Preview\""
            "},"
            "\"Values\": {"
                "\"GF_CoreNumber\": 1,"
                "\"ClearTable\": [1, 1, 1, 1, 1, 1, 1, 2, 3, 4, 5, 6, 7, 8, 10, 12, 15, 20, 27, 35, 44, 54, 65, 77, 90, 94, 99, 103],"
                "\"dispCtrlPoints\": [8, 10, 12, 14, 16, 18, 20, 23, 27, 30, 33, 34, 36, 39, 41, 45, 49, 54, 60, 69, 81, 84, 87, 90, 94, 99, 103, 108],"
                "\"blurGainTable\": [55, 50, 45, 40, 35, 31, 30, 29, 28, 27, 26, 25, 24, 24, 23, 23, 23, 23, 22, 21, 18, 17, 16, 15, 13, 10, 5, 1],"
                "\"gf.logLevel\": 0,"
                "\"gf.debugLevel\": 0,"
                "\"gf.DPP_output_resize\": 1,"
                "\"gf.mode_dl\": 0,"
                "\"gf.dofptl\": 6,"
                "\"gf.dofpth\": 8,"
                "\"gf.bk_single_side\": 0,"
                "\"gf.bk_ifocus\": 10,"
                "\"gf.bk_ifocus_touch\": 5,"
                "\"gf.bk_ifocus_ratio\": 20,"
                "\"gf.be_lbound_ratio\": 0,"
                "\"gf.be_tbound_ratio\": 0,"
                "\"gf.be_rbound_ratio\": 0,"
                "\"gf.be_bbound_ratio\": 0,"
                "\"gf.be_hist_ratio\": 25,"
                "\"gf.be_depth_limit\": 128,"
                "\"gf.be_occ_dia_radius\": -1,"
                "\"gf.be_weight_spatial\": 1,"
                "\"gf.be_weight_color\": 1,"
                "\"gf.calibrate_en\": 0,"
                "\"gf.offset_en\": 0,"
                "\"gf.focus_abs_depth_max\": 128,"
                "\"gf.disp_offset\": 0,"
                "\"gf.blur_mapping_mode\": 0,"
                "\"gf.max_blur_level\": 8,"
                "\"gf.depth_domain_clr\": 180,"
                "\"gf.max_blur_gain\": 64,"
                "\"gf.min_clr\": 0,"
                "\"gf.hf\": 1,"
                "\"gf.adjust_focus\": 0,"
                "\"gf.gepf_enable\": 1,"
                "\"gf.sigma\": 2,"
                "\"gf.alpha\": 100,"
                "\"gf.wessiter\": 1,"
                "\"gf.gf_enable\": 1,"
                "\"gf.gf_w\": 1,"
                "\"gf.gf_e\": 100,"
                "\"gf.iir_enable\": 1,"
                "\"gf.sigmat\": 50,"
                "\"gf.tempbase\": 600"
            "}"
        "}],"
    "\"SW_OCC\": [{"
            "\"Parameters\": {"
                "\"Scenario\": \"Preview\""
            "},"
            "\"Values\": {"
                "\"OCC_CoreNumber\": 1,"
                "\"occ.debugLevel\": 0,"
                "\"occ.logLevel\": 0,"
                "\"occ.invalid_value\": 255,"
                "\"occ.vec_offset\": 0,"
                "\"occ.holeFilling\": 0,"
                "\"occ.prefer_offset\": 0,"
                "\"occ.offset_en\": 0,"
                "\"occ.calibrate_en\": 0,"
                "\"occ.grad_th_luma\": 256,"
                "\"occ.depth_ero_h\": 0"
            "}"
        "}, {"
            "\"Parameters\": {"
                "\"Scenario\": \"Capture\""
            "},"
            "\"Values\": {"
                "\"OCC_CoreNumber\": 1,"
                "\"occ.debugLevel\": 0,"
                "\"occ.logLevel\": 0,"
                "\"occ.invalid_value\": 255,"
                "\"occ.vec_offset\": 0,"
                "\"occ.holeFilling\": 0,"
                "\"occ.prefer_offset\": 0,"
                "\"occ.offset_en\": 0,"
                "\"occ.calibrate_en\": 0,"
                "\"occ.grad_th_luma\": 256,"
                "\"occ.depth_ero_h\": 0"
            "}"
        "}],"
    "\"SW_BOKEH\": [{"
            "\"Parameters\": {"
                "\"APP\": \"Gallery\""
            "},"
            "\"Values\": {"
                "\"ClearTable0\": 3,"
                "\"ClearTable1\": 3,"
                "\"ClearTable2\": 3,"
                "\"ClearTable3\": 4,"
                "\"ClearTable4\": 6,"
                "\"ClearTable5\": 8,"
                "\"ClearTable6\": 12,"
                "\"ClearTable7\": 16,"
                "\"ClearTable8\": 20,"
                "\"ClearTable9\": 24,"
                "\"ClearTable10\": 28,"
                "\"ClearTable11\": 32,"
                "\"ClearTable12\": 32,"
                "\"ClearTable13\": 32,"
                "\"ClearTable14\": 32,"
                "\"ClearTable15\": 32,"
                "\"ClearTable16\": 32,"
                "\"refocus.ada_gain_en\": 1,"
                "\"refocus.gain_value\": 80,"
                "\"refocus.min_depth\": 128,"
                "\"refocus.bk_max_wt\": 8,"
                "\"refocus.cr\": 32,"
                "\"refocus.cr_gain\": 4,"
                "\"refocus.weighty\": 224,"
                "\"refocus.dofn\": 8,"
                "\"refocus.dofm\": 8,"
                "\"refocus.dofa\": 2,"
                "\"refocus.dofb\": 4,"
                "\"refocus.sigmak1\": 20,"
                "\"refocus.sigmak2\": 1000,"
                "\"refocus.sigmad\": 20,"
                "\"refocus.bkyth\": 220,"
                "\"refocus.filtmode1\": 1,"
                "\"refocus.filtmode2\": 1,"
                "\"refocus.enable_dia\": 0,"
                "\"refocus.wessiter1\": 3,"
                "\"refocus.wessiter2\": 3,"
                "\"refocus.gfr1\": 3,"
                "\"refocus.gfr2\": 3,"
                "\"refocus.bok_weight\": 32,"
                "\"refocus.bok_dof_div\": 16,"
                "\"refocus.bk_single_side\": 0,"
                "\"refocus.bk_ifocus\": 0,"
                "\"refocus.bk_ifocus_touch\": 0,"
                "\"refocus.bk_ifocus_ratio\": 0,"
                "\"refocus.max_strength\": 13,"
                "\"refocus.bg_mode\": 1,"
                "\"refocus.depth_preproc\": 0,"
                "\"refocus.blur_kernel\": 5,"
                "\"refocus.bok_circle_size\": 3,"
                "\"refocus.bok_circle_strength\": 9,"
                "\"refocus.bok_high_contrast_gain\": 2,"
                "\"refocus.bok_circle_min_layer\": 6,"
                "\"refocus.bok_circle_layer_num\": 3,"
                "\"refocus.bok_area_ratio_weight\": 2,"
                "\"refocus.bok_area_size_weight\": 5,"
                "\"refocus.bok_safe_layer_num\": 2,"
                "\"refocus.bok_suppress_table_option\": 0,"
                "\"refocus.debug_level\": 0,"
                "\"refocus.seg_mode\": 255,"
                "\"refocus.ruf\": 0,"
                "\"refocus.minrange\": 4,"
                "\"refocus.mingain\": 80,"
                "\"refocus.bweight\": 1000,"
                "\"refocus.fbs_sigma_x\": 8,"
                "\"refocus.fbs_sigma_y\": 8,"
                "\"refocus.fbs_sigma_luma\": 8,"
                "\"refocus.fbs_sigma_chroma\": 8,"
                "\"refocus.fbs_lambda\": 32,"
                "\"refocus.fbs_cg_tol\": 1,"
                "\"refocus.fbs_cg_maxiter\": 25,"
                "\"refocus.fbs_max_mem\": 50,"
                "\"refocus.fbs_use_confidence\": 0,"
                "\"refocus.fbs_mp_num\": 4,"
                "\"refocus.blur_max_fg\": 128,"
                "\"refocus.blur_max_bg\": 255,"
                "\"refocus.bok_img_erosion\": 1,"
                "\"refocus.blend_blurmap_filter\": 0,"
                "\"refocus.outlier_tolerance\": 3,"
                "\"refocus.outlier_percent\": 3,"
                "\"refocus.force_saveas\": 0"
            "}"
        "}, {"
            "\"Parameters\": {"
                "\"APP\": \"Camera\""
            "},"
            "\"Values\": {"
                "\"refocus.ruf\": 1"
            "}"
        "}]"
"}";
#endif
